textures/ut4_thelabs_b1/sky2
{
	qer_editorimage textures/ut4_thelabs_b1/sky_clouds.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 512
	q3map_surfacelight 185
	skyparms env/austria/austriasky 512 -
}

textures/ut4_thelabs_b1/mist
{
	qer_editorimage textures/ut4_thelabs_b1/mist.tga
	qer_trans .40
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	fogparms (.0 .0 .0) 300

}

textures/ut4_thelabs_b1/wtgrate
{
	qer_editorimage textures/ut4_thelabs_b1/grate1.tga
	qer_trans .5
	surfaceparm nonsolid
	{
	map textures/ut4_thelabs_b1/grate1.tga
	rgbgen vertex
	}
}

textures/ut4_thelabs_b1/fallwhite
{
	qer_editorimage textures/ut4_thelabs_b1/fallwhite.tga
	qer_trans .5
	surfaceparm nonsolid
	{
	map textures/ut4_thelabs_b1/fallwhite.tga
	rgbgen vertex
	}
}

textures/ut4_thelabs_b1/fallblack
{
	qer_editorimage textures/ut4_thelabs_b1/fallblack.tga
	qer_trans .5
	surfaceparm nonsolid
	{
	map textures/ut4_thelabs_b1/fallblack.tga
	rgbgen vertex
	}
}

textures/ut4_thelabs_b1/water
{
	qer_editorimage textures/ut4_thelabs_b1/water
	qer_trans 0.4
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm fog

	fogparms ( .1 .23 .14 ) 1000

	{
		map textures/ut4_thelabs_b1/water.tga
		tcMod turb 0.2 0.2 0.2 .2
	}
	{
		map textures/ut4_thelabs_b1/water.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod turb 0 0.2 2 .2
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ut4_thelabs_b1/ladderclip
{
	qer_editorimage textures/ut4_thelabs_b1/ladder-rad.tga
	qer_trans .5
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	//surfaceparm nonsolid
	//surfaceparm playerclip
	//surfaceparm noimpact
	surfaceparm ladder
	//surfaceparm trans
}


textures/ut4_thelabs_b1/ToxicMist
{
	qer_editorimage textures/ut4_thelabs_b1/fog_grey
	qer_trans 0.4
	surfaceparm trans
	surfaceparm nonsolid
//	surfaceparm water
	surfaceparm fog

	fogparms ( .1 .23 .14 ) 1000

	{
		map textures/ut4_thelabs_b1/fog_grey.tga
		tcMod turb 0.2 0.2 0.2 .2
	}
	{
		map textures/ut4_thelabs_b1/fog_grey.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod turb 0 0.2 2 .2
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

// -------------
// texture blend
// -------------


textures/ut4_thelabs_b1/ter_cavewalls
{
	qer_editorimage textures/ut4_thelabs_b1/ter_rock1.tga //alpha channel
	q3map_nonplanar
	q3map_shadeangle 90
	//q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	//q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/ut4_thelabs_b1/ter_rock1.tga // primary
		//rgbGen identity
	}
	{
		map textures/ut4_thelabs_b1/ter_rock2.tga // secondary
		blendFunc blend
		alphaFunc gt0
		//rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc filter
		//rgbGen identity
	}
}